Skip to content
Start here

Add a participant

client.realtimeKit.meetings.addParticipant(stringappId, stringmeetingId, MeetingAddParticipantParams { account_id, custom_participant_id, preset_name, 2 more } params, RequestOptionsoptions?): MeetingAddParticipantResponse { success, data }
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Adds a participant to the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
params: MeetingAddParticipantParams { account_id, custom_participant_id, preset_name, 2 more }
account_id: string

Path param: The account identifier tag.

maxLength32
custom_participant_id: string

Body param: A unique participant ID. You must specify a unique ID for the participant, for example, UUID, email address, and so on.

preset_name: string

Body param: Name of the preset to apply to this participant.

name?: string | null

Body param: (Optional) Name of the participant.

picture?: string | null

Body param: (Optional) A URL to a picture to be used for the participant.

formaturi
ReturnsExpand Collapse
MeetingAddParticipantResponse { success, data }
success: boolean

Success status of the operation

data?: Data { id, token, created_at, 5 more }

Represents a participant.

id: string

ID of the participant.

formatuuid
token: string

The participant’s auth token that can be used for joining a meeting from the client side.

created_at: string

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: string

A unique participant ID generated by the client.

preset_name: string

Preset applied to the participant.

updated_at: string

When this object was updated. The time is returned in ISO format.

formatdate-time
name?: string | null

Name of the participant.

picture?: string | null

URL to a picture of the participant.

formaturi

Add a participant

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.meetings.addParticipant(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    custom_participant_id: 'custom_participant_id',
    preset_name: 'preset_name',
  },
);

console.log(response.success);
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}